View Issue Details

IDProjectCategoryView StatusLast Update
0020894mantisbtdb postgresqlpublic2016-06-12 00:42
ReporterteggerAssigned Todregad 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Platformx64OSWindowsOS VersionServer 2008R2
Product Version1.3.0-beta.1 
Target Version1.3.0-rc.2Fixed in Version1.3.0-rc.2 
Summary0020894: APPLICATION ERROR 401 @ user_edit_page when changing Accesslevel
Description

Hi,

i got an APPLICATION ERROR 0000401 when i downgrade a user from administrator level. We got also a 401 with view all entries, when a user is not an administrator, so i tried to reproduce this with my own account and got this error during downgrade my user account with administrator account.

It's running on IIS7.5 with Postgres 9.3

Additional Information

APPLICATION ERROR 0000401

Datenbankabfrage fehlgeschlagen. Die Reportmeldung lautet #-1: FEHLER: Operator existiert nicht: boolean = integer
LINE 1: ...ntismodern_user_table WHERE access_level>=$1 AND enabled = 1
^
HINT: Kein Operator stimmt mit dem angegebenen Namen und den Argumenttypen überein. Sie müssen möglicherweise ausdrückliche Typumwandlungen hinzufügen. für die Abfrage: SELECT COUNT(id) FROM mantismodern_user_table WHERE access_level>=$1 AND enabled = 1.
Bitte benutzen Sie die „Zurück“-Taste Ihres Browsers, um auf die vorhergehende Seite zurückzukehren. Dort können Sie den hier angezeigten Eintrag korrigieren oder eine andere Aktion ausführen. Über das Menü können Sie auch direkt zu einer anderen Aktion wechseln.

TagsNo tags attached.

Relationships

related to 0020483 closedcproensa Error 401 with PostgreSQL manage_user_page 
related to 0014398 closeddregad Support for PostgreSQL broken in 1.3 

Activities

dregad

dregad

2016-05-10 06:29

developer   ~0053108

Hello,

Thanks for the bug report. It would be helpful if you could temporarily enable detailed error reporting, to identify exactly what part of the code is causing the problem:

$g_show_detailed_errors = ON;

WARNING - SECURITY RISK: the 'show_detailed_errors' config can cause MantisBT to display sensitive information about your system. We recommend to restrict its activation to a Test environment, only for as long as necessary. If possible, do not turn it ON globally, instead limit it for specific user(s) using the Manage Configuration page.

  1. Reproduce the error
  2. save the output of the error screen, preferably as an HTML page (I'm mostly interested in the call stack)
  3. be careful to remove/mask any confidential information if needed
  4. upload the results here
tegger

tegger

2016-05-10 06:56

reporter  

ManitsError401.htm (15,727 bytes)
tegger

tegger

2016-05-10 06:57

reporter   ~0053110

ok, done

dregad

dregad

2016-05-10 08:04

developer   ~0053113

I can reproduce this behavior with a fresh install on pgsql.

dregad

dregad

2016-05-10 09:31

developer   ~0053114

Pull request https://github.com/mantisbt/mantisbt/pull/775

tegger

tegger

2016-05-11 03:17

reporter   ~0053117

thx, with your changes it seems to be working

dregad

dregad

2016-05-11 09:22

developer   ~0053120

Thanks for the feedback.

Related Changesets

MantisBT: master 1b842729

2016-05-10 09:07:03

dregad

Details Diff
pgsql: integer vs boolean issue in user_count_level()

Use a query parameter instead of hardcoded 0/1 values so ADOdb
automatically converts the data type.

Fixes 0020894
mod - core/user_api.php Diff File

Issue History

Date Modified Username Field Change
2016-05-10 05:51 tegger New Issue
2016-05-10 06:29 dregad Status new => feedback
2016-05-10 06:29 dregad Note Added: 0053108
2016-05-10 06:56 tegger File Added: ManitsError401.htm
2016-05-10 06:57 tegger Note Added: 0053110
2016-05-10 06:57 tegger Status feedback => new
2016-05-10 08:03 dregad Status new => confirmed
2016-05-10 08:03 dregad Category administration => db postgresql
2016-05-10 08:04 dregad Note Added: 0053113
2016-05-10 08:46 dregad Assigned To => dregad
2016-05-10 08:46 dregad Status confirmed => assigned
2016-05-10 08:46 dregad Product Version 1.3.0-rc.1 => 1.3.0-beta.1
2016-05-10 08:46 dregad Target Version => 1.3.0-rc.2
2016-05-10 08:46 dregad Summary APPLICATION ERROR 0000401 @ user_edit_page when changing Accesslevel => APPLICATION ERROR 401 @ user_edit_page when changing Accesslevel
2016-05-10 09:00 dregad Relationship added related to 0020483
2016-05-10 09:00 dregad Relationship added related to 0014398
2016-05-10 09:31 dregad Note Added: 0053114
2016-05-11 03:17 tegger Note Added: 0053117
2016-05-11 09:22 dregad Note Added: 0053120
2016-05-14 12:15 dregad Changeset attached => MantisBT master 1b842729
2016-05-14 12:15 dregad Status assigned => resolved
2016-05-14 12:15 dregad Resolution open => fixed
2016-05-14 12:15 dregad Fixed in Version => 1.3.0-rc.2
2016-06-12 00:42 vboctor Status resolved => closed